Skip to main content
GET
/
api
/
v1
/
pipelines
/
{id}
/
summary
Get a pipeline summary with deal counts and values per stage.
curl --request GET \
  --url https://api.backside.app/api/v1/pipelines/{id}/summary \
  --header 'Authorization: Bearer <token>'
{
  "pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "pipeline_name": "<string>",
  "stages": [
    {
      "deal_count": 123,
      "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "stage_name": "<string>",
      "stage_type": "<string>",
      "total_value": 123,
      "weighted_value": 123
    }
  ],
  "total_deals": 123,
  "total_value": 123,
  "weighted_value": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Pipeline ID

Response

Pipeline summary

pipeline_id
string<uuid>
required
pipeline_name
string
required
stages
object[]
required
total_deals
integer<int64>
required
total_value
number<double>
required
weighted_value
number<double>
required